Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::MemoryManager Class Reference

See the The memory manager information page. More...

`#include <OgreMemoryManager.h>`

List of all members.

## Public Member Functions
| MemoryManager ()
| ~MemoryManager ()
void * | allocMem (const char *szFile, size_t uLine, size_t count) throw ( )
| Memory allocator - uses plain old malloc.
void * | rllocMem (const char *szFile, size_t uLine, void *ptr, size_t count) throw ( )
| Memory re-allocator - uses plain old realloc.
void * | cllocMem (const char *szFile, size_t uLine, size_t num, size_t size) throw ( )
| Memory allocator - uses plain old calloc.
void | dllocMem (const char *szFile, size_t uLine, void *ptr) throw ( )
| Memory de-allocator - uses plain old free.
## Static Public Member Functions
static MemoryManager & | instance (void)

## Detailed Description

See the The memory manager information page.

Definition at line 392 of file OgreMemoryManager.h.

## Constructor & Destructor Documentation

Ogre::MemoryManager::MemoryManager | ( |  | ) |

Ogre::MemoryManager::~MemoryManager | ( |  | ) |

## Member Function Documentation

void* Ogre::MemoryManager::allocMem | ( | const char * | szFile,
|  | size_t | uLine,
|  | size_t | count
| ) | throw ( )

| Memory allocator - uses plain old malloc.

void* Ogre::MemoryManager::cllocMem | ( | const char * | szFile,
|  | size_t | uLine,
|  | size_t | num,
|  | size_t | size
| ) | throw ( )

| Memory allocator - uses plain old calloc.

void Ogre::MemoryManager::dllocMem | ( | const char * | szFile,
|  | size_t | uLine,
|  | void * | ptr
| ) | throw ( )

| Memory de-allocator - uses plain old free.

static MemoryManager& Ogre::MemoryManager::instance | ( | void |  | ) | `[static]`

void* Ogre::MemoryManager::rllocMem | ( | const char * | szFile,
|  | size_t | uLine,
|  | void * | ptr,
|  | size_t | count
| ) | throw ( )

| Memory re-allocator - uses plain old realloc.

The documentation for this class was generated from the following file:

- OgreMemoryManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:12 2008